#
# $Id: smokeping.spec,v 1.3 2004/11/10 14:51:57 build Exp $
#

%define	_perldir	%{_libdir}/perl5/5.6.0/i386-linux

Summary:	SmokePing measures latency, latency distribution and packet loss
Name:		smokeping
Group:		Applications/System
Copyright:	GPL
Version:	1.31
Release:	1.5.6
Source0:	http://people.ee.ethz.ch/~oetiker/webtools/smokeping/pub/%{name}-%{version}.tar.gz
Source1:	smokepinghttpd.conf-gd-1
Source2:	smokeping-1.31-initscript-gd-2
Patch0:		smokeping-1.31-script-gd.diff
Patch1:		smokeping-1.31-conf-gd.diff
Patch2:		smokeping-1.31-cgi-gd.diff
Requires:	rrdtool
Requires:	fping
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
With SmokePing you can measure latency, latency distribution and packet loss in your network.
SmokePing uses RRDtool to maintain a longterm datastore and to draw pretty graphs, giving up
to the minute information on the state of each network connection.

This package contains the files necessary to run the smokeping package
This package should install cleanly on almost any RPM-based system.

%files
  %defattr(-,root,root)
  %doc CHANGES CONTRIBUTORS COPYING COPYRIGHT README TODO
  %doc doc/*

  %attr(0500,root,root)		%{_sbindir}/smokeping
  %attr(0700,root,root)		%{_sysconfdir}/init.d/smokeping
  %attr(0640,root,root)		%{_sysconfdir}/httpd/conf.d/smokeping.conf
  %attr(0644,root,root)		%{_sysconfdir}/smokeping/basepage.html
  %attr(0644,root,root)		%config(missingok,noreplace) %{_sysconfdir}/smokeping/config
  %attr(0640,root,root)		%{_sysconfdir}/smokeping/config-echoping.dist
  %attr(0640,root,root)		%{_sysconfdir}/smokeping/smokemail
  %attr(0755,root,root)		%{_libdir}/smokeping/smokeping.cgi
  %attr(0644,root,root)		%{_perldir}/smokeping/*.pm
  %attr(0644,root,root)		%{_perldir}/smokeping/ISG/ParseConfig.pm
  %attr(0644,root,root)		%{_perldir}/smokeping/probes/*

%prep
%setup -q %{source}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
  export CFLAGS="$RPM_OPT_FLAGS"
  export CXXFLAGS="$RPM_OPT_FLAGS"

  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_libdir}/smokeping
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/smokeping
  mkdir -p $RPM_BUILD_ROOT/%{_perldir}/smokeping
  mkdir -p $RPM_BUILD_ROOT/%{_perldir}/smokeping/ISG
  mkdir -p $RPM_BUILD_ROOT/%{_perldir}/smokeping/probes
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d

  install bin/smokeping.dist			$RPM_BUILD_ROOT/%{_sbindir}/smokeping

  install %{SOURCE1} 				$RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/smokeping.conf
  install %{SOURCE2}				$RPM_BUILD_ROOT/%{_sysconfdir}/init.d/smokeping
  install etc/basepage.html.dist		$RPM_BUILD_ROOT/%{_sysconfdir}/smokeping/basepage.html
  install etc/config.dist			$RPM_BUILD_ROOT/%{_sysconfdir}/smokeping/config
  install etc/config-echoping.dist		$RPM_BUILD_ROOT/%{_sysconfdir}/smokeping/config-echoping.dist
  install etc/smokemail.dist			$RPM_BUILD_ROOT/%{_sysconfdir}/smokeping/smokemail

  install htdocs/smokeping.cgi.dist		$RPM_BUILD_ROOT/%{_libdir}/smokeping/smokeping.cgi

  for i in lib/*.pm;		do install $i $RPM_BUILD_ROOT/%{_perldir}/smokeping;		done
  for i in lib/probes/*.pm;	do install $i $RPM_BUILD_ROOT/%{_perldir}/smokeping/probes;	done

  install lib/ISG/ParseConfig.pm		$RPM_BUILD_ROOT/%{_perldir}/smokeping/ISG/ParseConfig.pm

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
  mkdir -p /home/httpd/html/system/smokeping/images
  mkdir -p /var/lib/smokeping
  chown -R root.webd /home/httpd/html/system/smokeping
  chown -R root.webd /var/lib/smokeping
  chmod 2775 /home/httpd/html/system/smokeping/
  chmod 2775 /home/httpd/html/system/smokeping/images
  chmod 2775 /var/lib/smokeping
  echo "Include /etc/httpd/conf.d/smokeping.conf" >> /etc/httpd/conf/httpd.conf

  if [ -f /var/lock/subsys/httpd ]; then
    /etc/init.d/httpd restart || :
  fi

  if [ -f /var/lock/subsys/smokeping ]; then
    /etc/init.d/smokeping restart || :
  fi

%changelog
* Mon Nov 08 2004 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.31, Release 1.5.6
  - Corrected date in previous changelog entries.
  - Fixed initscript (was using rc.d and spewing bad output).

* Mon Nov 08 2004 Joseph Shakespeare <jshakespeare@guardiandigital.com>
- Version 1.31, Release 1.5.5
  - Fixed minor problem with init.d restart script for smokeping

* Mon Nov 08 2004 Joseph Shakespeare <jshakespeare@guardiandigital.com>
- Version 1.31, Release 1.5.4
  - Initial build of smokeping 1.31 for Official EnGarde 1.5 distro

* Fri Nov 05 2004 Joseph Shakespeare <jshakespeare@guardiandigital.com>
- Version 1.31, Release 1.5.3
  - Modified spec file to fix a few errors
  - Added absolute path to httpd config file
  - Fixed missing smokemail.dist file
  - Added init script installed into /etc/init.d

* Fri Nov 05 2004 Joseph Shakespeare <jshakespeare@guardiandigital.com>
- Version 1.31, Release 1.5.2
  - Modified spec file to be more efficient and clean.
  - Moved smokeping from /usr/sbin/smokeping to /usr/sbin
  - Moved smokeping.cgi from /usr/sbin/smokeping/htdocs to /usr/lib/smokeping
  - Moved smokepinghttpd.conf from /etc/httpd/conf to /etc/httpd/conf.d
  - Updated patches to accomodate new changes in paths

* Thu Nov 04 2004 Joseph Shakespeare <jshakespeare@guardiandigital.com>
- Version 1.31, Release 1.5.1
  - Patched smokeping script, configuration file and cgi script to include
    appropriate directory paths

* Mon Oct 25 2004 Joseph Shakespeare <jshakespeare@guardiandigital.com>
- Version 1.31, Release 1.5.0
  - Initial build of smokeping 1.31 for engarde 1.5
  - Included smokepinghttpd.conf to be included in apache httpd.conf to alias
    scripts for SmokePing
